%define upstream_name    Package-Pkg
%define upstream_version 0.0020

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Handy package munging utilities
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Package/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Load)
BuildRequires: perl(Clone)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(Mouse)
BuildRequires: perl(Sub::Install)
BuildRequires: perl(Test::Most)
BuildRequires: perl(Try::Tiny)
BuildArch:  noarch

%description
Package::Pkg is a collection of useful, miscellaneous package-munging
utilities. Functionality is accessed via the imported 'pkg' keyword,
although you can also invoke functions directly from the package
('Package::Pkg')

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.2.0-2.mga3
+ Revision: 371352
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jul 04 2012 jquelin <jquelin> 0.2.0-1.mga3
+ Revision: 267446
- update to 0.0020

* Fri Jan 28 2011 jquelin <jquelin> 0.1.900-1.mga1
+ Revision: 42785
- imported package perl-Package-Pkg

